Subject: [OAUTH-WG] OAuth 2.0 Token Upgrade Extension

From: David Recordon <[email-masked]>
Date: Mon, 12 Jul 2010 15:39:02 -0700

The ability to upgrade OAuth 1.0 tokens and secrets to OAuth 2.0 access
tokens has come up on the list a few times. Attached is a draft assertion
format which allows a client to trade an OAuth 1.0 token/secret pair for an
OAuth 2.0 access token. The assertion format is a JSON object with values
for the token and token secret. My goal is that this draft become a working
group document.

A question for the group is if upgrading multiple tokens at once is
a necessary use case? The assertion format within the core spec only
supports issuing a single access token. Facebook has a custom endpoint which
allows upgrading multiple tokens at once, but I don't actually have data
about how many developers make use of that functionality.

Thanks,
--David